import { createStore } from "vuex";
import { getPermissions } from '@/service/user';

export default createStore({
  state: {
    permissions: null,
    userInfo: null,
  },
  mutations: {
    updateUserPermission(state, payload) {
      state.permissions = payload;
    },
    updateUserInfo(state, payload) {
      state.userInfo = payload;
    }
  },
  actions: {
    async updateUserPermission({ commit }, payload) {
      const { permissions = [] } = await getPermissions(payload.email);
      console.log("VUEX action updateUserPermission::", permissions);
      commit('updateUserPermission', permissions)
    }
  },
  modules: {},
  getters: {}
});
